Subject: RE: Letter to GE - Payment of Invoices
From: [email-masked]
To: [email-masked], [email-masked]
Cc: [email-masked], [email-masked], [email-masked], [email-masked], [email-masked]
Date: Wed, 2 May 2001 09:58:00 -0700 (PDT)

I agree with the numbers as well.

 -----Original Message-----
From:  Walker, Rebecca  
Sent: Wednesday, May 02, 2001 4:34 PM
To: Booth, Chris
Cc: Clark, Catherine; Edmonds, Marcus; Vos, Theresa; Dennis, Tonya; Jacoby, 
Ben; Mann, Kay
Subject: Re: Letter to GE - Payment of Invoices

Chris

According to my calculations, all of these numbers are correct.

Regards,
Rebecca

   

	  From:  Chris Booth                           05/02/2001 03:54 PM

To: Rebecca Walker/NA/Enron@Enron, Catherine Clark/Enron@EnronXGate
cc: Ben Jacoby/HOU/ECT@ECT, Kay Mann/Corp/Enron@Enron 

Subject: Letter to GE - Payment of Invoices

Ladies,

Please review the attached letter that I plan on sending to General Electric 
regarding the payment of recent invoices.  I would like to obtain your 
concurrence on the amounts that I have set forth in the letter.

Thanks,

Chris

 << File: GE Letter - May 2, 2001 - Payment of Invoices.doc >>